<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pixconsumer/_pixquerytemplate.xhtml">
            <ui:param name="managedBean" value="#{pixQueryManager}"/>
            <ui:param name="actorName" value="#{messages['gazelle.PAMSimulator.PIXPatientIdentityConsumer']}"/>
            <ui:param name="transactionName" value="#{messages['gazelle.PAMSimulator.PIXQuery']}"/>
            <ui:define name="sutSelectionDiv">
                <ui:include src="/configuration/initiatorFrame.xhtml">
                    <ui:param name="actorKeyword" value="PAT_IDENTITY_X_REF_MGR"/>
                    <ui:param name="diagramImg" value="diag/PAT_IDENTITY_CONSUMER_Q23.png"/>
                    <ui:param name="currentConfig" value="#{pixQueryManager.selectedSUT}"/>
                    <ui:param name="simuFacility" value="#{messages['gazelle.simulator.pam.IHE']}"/>
                    <ui:param name="simuApplication"
                              value="#{messages['gazelle.patientmanager.PatientManager']}"/>
                    <ui:param name="sectionsToReRender" value="sendMessageButtonDiv"/>
                    <ui:param name="simulatorConfigurationName"
                              value="#{messages['gazelle.PAMSimulator.PIXPatientIdentityConsumer']}"/>
                    <ui:param name="availableSuts" value="#{pixQueryManager.availableSystems}"/>
                </ui:include>
            </ui:define>
            <ui:define name="personIdentifierParametersEdit">
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="pidIn"/>
                        <ui:define name="label">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                        <h:inputText value="#{pixQueryManager.searchedPid.fullPatientId}"
                                     styleClass="form-control" id="pidIn"/>
                    </s:decorate>
                    <h4>#{messages['net.ihe.gazelle.patientmanager.AssigningAuthority']}</h4>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="nsIn"/>
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsNamespace']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.searchedPid.domain.namespaceID}"
                                     styleClass="form-control" id="nsIn"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="uniIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalID']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.searchedPid.domain.universalID}"
                                     styleClass="form-control" id="uniIn"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="typeIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalIDType']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.searchedPid.domain.universalIDType}"
                                     styleClass="form-control" id="typeIn"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="personIdentifierParametersDisplay">
                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                        <h:outputText value="#{pixQueryManager.searchedPid.fullPatientId}"/>
                    </ui:decorate>
                </dl>
                <h4>#{messages['net.ihe.gazelle.patientmanager.AssigningAuthority']}</h4>
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsNamespace']}
                        </ui:define>
                        <h:outputText value="#{pixQueryManager.searchedPid.domain.namespaceID}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalID']}
                        </ui:define>
                        <h:outputText value="#{pixQueryManager.searchedPid.domain.universalID}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalIDType']}
                        </ui:define>
                        <h:outputText value="#{pixQueryManager.searchedPid.domain.universalIDType}"/>
                    </s:decorate>
                </dl>
            </ui:define>
            <ui:define name="addDomainToReturnEdit">
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="nsIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsNamespace']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.currentDomainReturned.namespace}"
                                     styleClass="form-control" id="nsIn"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="uniIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalID']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.currentDomainReturned.universalId}"
                                     styleClass="form-control" id="uniIn"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="typeIn"/>
                        <ui:define name="label">
                            #{messages['gazelle.simulator.pam.DomainsUniversalIDType']}
                        </ui:define>
                        <h:inputText value="#{pixQueryManager.currentDomainReturned.universalIdType}"
                                     styleClass="form-control" id="typeIn"/>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="displayPatientIdentifier">
                <h:outputText value="#{pid.fullPatientId}"></h:outputText>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>